  function C = MatMatDotMod(A,B)
% C = MatMatDotMod(A,B)
% This computes the matrix-matrix product C =A*B (via dot products) where
% A is ann by n lower triangular matrix, B is a n-by-n upper tri matrix.

[n] = size(A,1);
C = zeros(n,n);
for j=1:n
   % Compute j-th column of C.
   for i=1:n
       kup = min(i,j);
      C(i,j) = A(i,1:kup)*B(1:kup,j);
   end
end